# QTextBrowser Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextEdit.

### Constructor

- void QTextBrowser(QWidget parent)

### Constructor Properties

- prototype: The QTextBrowser prototype object

### Prototype Object Properties

The QTextBrowser prototype object inherits properties from the QTextEdit prototype object and also has the following properties.

- int backwardHistoryCount()
- void clearHistory()
- int forwardHistoryCount()
- String historyTitle(int arg__1)
- QUrl historyUrl(int arg__1)
- bool isBackwardAvailable()
- bool isForwardAvailable()

### Instance Properties

QTextBrowser objects inherit properties from the QTextBrowser prototype object and also have the following properties.

- source
- searchPaths
- openExternalLinks
- openLinks